incubator-sling-commits mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From fmesc...@apache.org
Subject svn commit: r1510541 - /sling/trunk/bundles/servlets/resolver/pom.xml
Date Mon, 05 Aug 2013 15:13:44 GMT
Author: fmeschbe
Date: Mon Aug  5 15:13:44 2013
New Revision: 1510541

URL: http://svn.apache.org/r1510541
Log:
SLING-2944 Revert Sling API dependency to 2.3.0 again

Sling API 2.4.0 is not required and probably only has been
updated to make sure the import version range for the Resource
API is correct. Given SLING-2993 we should actually provide
proper annotation of implemented API for the bundle plugin
to properly devise the import version range.

For now removing the 'provide:=true' import tag solves this
issue, since we only implement the ResourceProvider interface
(intended to be @ConsumerType) and extend AbstractSlingResource
(which is safe to extend in @ConsumerType fashion).

Modified:
    sling/trunk/bundles/servlets/resolver/pom.xml

Modified: sling/trunk/bundles/servlets/resolver/pom.xml
URL: http://svn.apache.org/viewvc/sling/trunk/bundles/servlets/resolver/pom.xml?rev=1510541&r1=1510540&r2=1510541&view=diff
==============================================================================
--- sling/trunk/bundles/servlets/resolver/pom.xml (original)
+++ sling/trunk/bundles/servlets/resolver/pom.xml Mon Aug  5 15:13:44 2013
@@ -58,10 +58,6 @@
                 <extensions>true</extensions>
                 <configuration>
                     <instructions>
-                        <Import-Package>
-                            org.apache.sling.api.resource;provide:=true,
-                            *
-                        </Import-Package>
                         <Private-Package>
                             org.apache.sling.servlets.resolver.*
                         </Private-Package>
@@ -78,7 +74,7 @@
         <dependency>
             <groupId>org.apache.sling</groupId>
             <artifactId>org.apache.sling.api</artifactId>
-            <version>2.4.0</version>
+            <version>2.3.0</version>
             <scope>provided</scope>
         </dependency>
         <dependency>



Mime
View raw message